RTLBTFW(8)

NAME
rtlbtfw - load firmware for Realtek 87XX/88XX Bluetooth USB devices

SYNOPSIS
rtlbtfw -d device_name -f firmware_path
rtlbtfw -h

DESCRIPTION
The rtlbtfw utility downloads the specified firmware file to the specified ugen(4) device.

This utility will only work with Realtek 87XX/88XX chip based Bluetooth USB devices and some of their successors. The identification is currently based on USB vendor ID/product ID pair and interface class. For Realtek devices the vendor ID should be 0x0bda (USB_VENDOR_REALTEK) and the 0-th interface class/subclass/protocol should be a Bluetooth RF Wireless Controller. Non-Realtek devices are identified based on USB vendor ID/product ID pair.

Firmware files are available in the comms/rtlbt-firmware port.

The rtlbtfw utility will query the device to determine which firmware image and board configuration to load in at runtime.

The options are as follows:

-D  Enable verbose debugging.

-d device_name
    Specify ugen(4) device name.

-I  Enable informational debugging.

-f firmware_path
    Specify the directory containing the firmware files to search and upload.

-h  Display usage message and exit.

EXIT STATUS

SEE ALSO
libusb(3), ng_ubt(4), ugen(4), devd(8)

AUTHORS
rtlbtfw is based on ath3kfw(8) utility used as firmware downloader template and on Linux btrtl driver source code. It is written by Vladimir Kondratyev <wulf@FreeBSD.org> under sponsorship from Future Crew LLC.

BUGS
Most likely. Please report if found.